Bug 1478302 - [abrt] anki: syntax(): anki:5:<module>: File "/usr/share/anki/aqt/__init__.py", line 32
[abrt] anki: syntax(): anki:5:<module>: File "/usr/share/anki/aqt/__init__.p...
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: anki (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Drake-Brockman
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d68f00e3fdcf76f19e7d8a51242...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 04:52 EDT by jaaf64
Modified: 2018-04-16 20:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (617 bytes, text/plain)
2017-08-04 04:52 EDT, jaaf64
no flags Details
File: cgroup (289 bytes, text/plain)
2017-08-04 04:52 EDT, jaaf64
no flags Details
File: cpuinfo (1.57 KB, text/plain)
2017-08-04 04:52 EDT, jaaf64
no flags Details
File: environ (1.63 KB, text/plain)
2017-08-04 04:52 EDT, jaaf64
no flags Details
File: mountinfo (3.36 KB, text/plain)
2017-08-04 04:52 EDT, jaaf64
no flags Details
File: namespaces (102 bytes, text/plain)
2017-08-04 04:52 EDT, jaaf64
no flags Details
File: open_fds (237 bytes, text/plain)
2017-08-04 04:52 EDT, jaaf64
no flags Details

  None (edit)
Description jaaf64 2017-08-04 04:52:30 EDT
Description of problem:
I installed anki. The installation went fine but i cannot launch it. The launcher gives nothing and the command line gives this

[jaaf@jaaf-pc ~]$ anki
Traceback (most recent call last):
  File "/usr/bin/anki", line 5, in <module>
    import aqt
  File "/usr/share/anki/aqt/__init__.py", line 32
    except ImportError, e:
                      ^
SyntaxError: invalid syntax

Version-Release number of selected component:
anki-2.0.43-1.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        python /usr/bin/anki
crash_function: syntax
exception_type: SyntaxError
executable:     /usr/bin/anki
kernel:         4.11.11-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
anki:5:<module>:  File "/usr/share/anki/aqt/__init__.py", line 32

Traceback (most recent call last):
  File "/usr/bin/anki", line 5, in <module>
    import aqt
  File "/usr/share/anki/aqt/__init__.py", line 32
    except ImportError, e:
                      ^
SyntaxError: invalid syntax

Local variables in innermost frame:
__name__: '__main__'
__doc__: None
__package__: None
__loader__: <_frozen_importlib_external.SourceFileLoader object at 0x7fabb751c7f0>
__spec__: None
__annotations__: {}
__builtins__: <module 'builtins' (built-in)>
__file__: '/usr/bin/anki'
__cached__: None
sys: <module 'sys' (built-in)>
Comment 1 jaaf64 2017-08-04 04:52:35 EDT
Created attachment 1308962 [details]
File: backtrace
Comment 2 jaaf64 2017-08-04 04:52:36 EDT
Created attachment 1308963 [details]
File: cgroup
Comment 3 jaaf64 2017-08-04 04:52:37 EDT
Created attachment 1308964 [details]
File: cpuinfo
Comment 4 jaaf64 2017-08-04 04:52:39 EDT
Created attachment 1308965 [details]
File: environ
Comment 5 jaaf64 2017-08-04 04:52:40 EDT
Created attachment 1308966 [details]
File: mountinfo
Comment 6 jaaf64 2017-08-04 04:52:42 EDT
Created attachment 1308967 [details]
File: namespaces
Comment 7 jaaf64 2017-08-04 04:52:43 EDT
Created attachment 1308968 [details]
File: open_fds
Comment 8 Fedora Update System 2018-04-12 13:12:57 EDT
anki-2.0.50-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-50039f6b61
Comment 9 Fedora Update System 2018-04-12 13:14:23 EDT
anki-2.0.50-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-70fac3f07e
Comment 10 Fedora Update System 2018-04-12 13:15:26 EDT
anki-2.0.50-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-58b0c6a60e
Comment 11 Fedora Update System 2018-04-14 22:22:24 EDT
anki-2.0.50-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-50039f6b61
Comment 12 Fedora Update System 2018-04-15 12:19:52 EDT
anki-2.0.50-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-70fac3f07e
Comment 13 Fedora Update System 2018-04-15 17:42:06 EDT
anki-2.0.50-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-58b0c6a60e
Comment 14 Fedora Update System 2018-04-16 20:18:32 EDT
anki-2.0.50-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.